Bug 113498 - modules.dep points to the wrong driver
modules.dep points to the wrong driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-14 13:29 EST by Brian Baggett
Modified: 2013-03-06 00:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 15:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Baggett 2004-01-14 13:29:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
This is in regards to customer support request #281477.

The e34/e35 family of kernels has a modules.dep problem.  After
identifying a temporary workaround to the problem described in bug
#113427, we discovered an anomaly in the 2.4.9-e.34 and e.35 kernels. 
 
The /lib/modules/2.4.9-e.34/modules.dep file has this in it (NOTE:
This is all on the same line): 
/lib/modules/2.4.9-e.35/kernel/drivers/addon/e1000_5220k1/e1000.o: 
/lib/modules/2.4.9-e.35/kernel/drivers/addon/e1000_4412k1/e1000_4412k1.o 
 
This tells the system to load a driver that does not function properly
(the 4412k1 versus the 5220k1 driver) when one loads the e1000 driver. 
 
The e.34 and e.35 kernels both have this odd behavior, yet the e.34
that comes in the ISO of update 3 does not!  The net result is that if
I install with update 3 over the network (PXE boot), the network card
is found and works but when the system reboots, it is gone even though
the kernel versions are the same!  Applying e.35 doesn't help either.

Furthermore, the changelogs between e.34 and e.35 are identical, so I
was unable to determine what all had changed in e.35.

Version-Release number of selected component (if applicable):
kernel-2.4.9-e.34 & 35, kernel-smp-2.4.9-e.34 & 35,
kernel-enterprise-2.4.9-e.34 & 35

How reproducible:
Always

Steps to Reproduce:
1. Install via PXE boot / kickstart with a Intel Pro 1000 / MT network
card with RHEL 2.1 update 3.
2. Reboot.
3. The card that you used to install the OS with is suddenly gone
until you correct the /lib/modules/`uname -r`/modules.dep
    

Additional info:
Comment 1 Eric Hagberg 2004-01-14 14:55:28 EST
I don't see this at all under e.34 or e.35 kernels. I get 3 separate
line for a grep of e1000 in the modules.dep file:

chai / 10# grep e1000 /lib/modules/2.4.9-e.35enterprise/modules.dep|wc -l
       3
chai / 11# grep e1000 /lib/modules/2.4.9-e.35enterprise/modules.dep
/lib/modules/2.4.9-e.35enterprise/kernel/drivers/addon/e1000/e1000_5043k1.o:
/lib/modules/2.4.9-e.35enterprise/kernel/drivers/addon/e1000_4412k1/e1000_4412k1.o:
/lib/modules/2.4.9-e.35enterprise/kernel/drivers/addon/e1000_5220k1/e1000.o:
Comment 2 Brian Baggett 2004-01-15 09:00:33 EST
I've seen it each and every time.  The hardware I'm using are Dell
PowerEdge 2650's with BIOS A17 when an Intel PRO/1000 MT Dual Port
Server Adapter (version on the card: 82546GB, version on the box:
A85400-006) is present.  They are done with a fresh kickstart via PXE
boot from update 3 of RHEL v2.1.
Comment 3 Brian Baggett 2004-01-15 09:54:32 EST
Incidentally, our tests indicate that you *must* have the card in
question to get the behavior.
Comment 4 Jason Baron 2004-01-16 17:42:42 EST
i just installed U3, and e.34 came up fine withe the e1000 driver. i
then ran up2date and rebooted into e.35, which failed to set up
networking b/c the dependency metioned aboved showed up in the
modules.dep file. i re-ran depmod serveral times and the dependency
went away and the module loaded fine. i'm really not sure why depmod
is producing different results.
Comment 9 Brian Baggett 2004-01-28 14:43:56 EST
Workaround to be applied immediately after updating to the 2.4.9-e.35
enterprise kernel:

FILE=/lib/modules/2.4.9-e.35enterprise/modules.dep 
cp $FILE $FILE.save 
sed -e ' 
/\/lib\/modules\/2.4.9-e.35enterprise\/kernel\/drivers\/addon\/e1000_5220k1\/e10

00.o:/{ 
i \ 
/lib/modules/2.4.9-e.35enterprise/kernel/drivers/addon/e1000_5220k1/e1000.o:

d 
} 
' $FILE.save > $FILE
Comment 10 Jason Baron 2004-01-28 14:51:40 EST
thanks for helping us get to the bottom of this.

The issue will be fixed in the next kernel update, which should be
fairly soon. in the meantime, if you want to test with the release
candidate its e.37 and on my ppl page, however its not an 'officially'
supported kernel yet.

http://people.redhat.com/~jbaron/.private/stable/2.4.9-e.37/

Comment 11 Jason Baron 2004-02-03 14:53:47 EST
changing to modified state, as this issue should be resolved.
Comment 12 Mark J. Cox (Product Security) 2004-02-03 15:02:04 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-044.html

Note You need to log in before you can comment on or make changes to this bug.